--
-- Kaweco
-- 
--
-- @author  Stefan Geiger
-- @date  30/11/08
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

Kaweco = {};

function Kaweco.prerequisitesPresent(specializations)
    return true;
end;

function Kaweco:load(xmlFile)
end;

function Kaweco:delete()
end;

function Kaweco:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Kaweco:keyEvent(unicode, sym, modifier, isDown)
end;

function Kaweco:draw()
	g_currentMission:addExtraPrintText("Haeckselklappe oeffnen/schliessen : N/J");
end;

function Kaweco:update(dt)
end;

function Kaweco:onStartTip(currentTipTrigger)
 
    self.currentTipTrigger = currentTipTrigger;
    if self.tipAnimCharSet ~= 0 then
        if getAnimTrackTime(self.tipAnimCharSet, 0) < 0.0 then
            setAnimTrackTime(self.tipAnimCharSet, 0, 0.0);
        end;
        setAnimTrackSpeedScale(self.tipAnimCharSet, 0, self.tipAnimSpeedScale);
        enableAnimTrack(self.tipAnimCharSet, 0);
    end;
    self.tipState = Trailer.TIPSTATE_OPENING;
    g_currentMission.allowSteerableMoving = false;
    g_currentMission.fixedCamera = false;
end;